{% extends '../../base.html'%}
{% block main %}
{% load static %}

<style>
  .table-container {
    width: 100%;
  }
</style>
<div class="container conatiner-all d-flex position-relative">
  {% include "../../components/quick_access.html" %}
  <div class="table-container">
    <p class="text-center fs-4 mt-3">Liste des demande de location</p>
    <div class="sort">
      <div class="select">
        <select id="status"class="form-select"aria-label="Default select example">
          <option value="0" selected>Tout</option>
          {% for id, status in rent_status.items %}
            <option value="{{ id }}">{{ status }}</option>
          {% endfor %}
        </select>
      </div>
      <div class="search">
        <div class="input-group">
          <input placeholder="Recharcher ..." type="text" class="form-control px-2" aria-label="Sizing example input" aria-describedby="inputGroup-sizing-default" id="inputSearchQ"/>
          <span class="input-group-text" id="inputGroup-sizing-default" title="Recharcher par le numéro de suivi ou par la siret">
            <i class="fa-solid fa-magnifying-glass"></i>
          </span>
        </div>
      </div>
    </div>
    <table class="table">
      <thead>
        <tr style="font-size: 0.9rem">
          <th scope="col">N° demande<br>Date de création</th>
          <th scope="col">Drone<br>Dates</th>
          <th scope="col">Statut<br>Prix total</th>
        </tr>
      </thead>
      <tbody class="table-group-divider" style="font-size: 0.8rem">
        {% for rent in rents %}
        <tr data-status="{{ rent.status }}">
          <td>
            <a href="{% url 'one_rent' rent.id %}">{{ rent.number }}</a><br>
            <span>{{ rent.created_at }}</span>
          </td>
          <td>
            <a href="{% url 'one_article' rent.article.id %}">{{ rent.article.get_simple_title }}</a><br>
            <span style="font-size: 8px">
              De {{ rent.start_at }} à {{ rent.end_at }}
              </span>

          </td>
          <td>
            <span class="one-ligne-text">
              {{ rent.get_franch_phrase }}
            </span>
            <br>
            {{ rent.calcul_total_price }}
          </td>
        </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
</div>
<script>
  const select = document.querySelector("select#status");
  const input = document.querySelector("#inputSearchQ");
  select.addEventListener("change", (e) => {
    const status = e.target.value;
    sortTableRepairForAdminWithSelect(status);
  });
  input.addEventListener("input", (e) => {
    const q = e.target.value;
    sortTableRepairForAdminWithInput(q);
  });

</script>
{% endblock main%}
